ASP.NET in .NET 4.0 Framework Is Not Registered With IIS – App-V

If you have installed the Web Server (IIS) Role with the ASP.NET Role Service as a required prerequisite of App-V 5, but are still getting the following error on the Check Prerequisites page of the App-V 5 setup:

ASP.NET in .NET 4.0 Framework is not registered with IIS Needed to install Publishing Server

Clicking on the dropdown arrow on the error, gives the following additional information:

ASP.NET in .NET 4.0 Framework is not registered with IIS. You must register ASP.NET with IIS to run the publishing server.

Then you can fix this by running the following in a command prompt (Run as Administrator):

cd  C:\Windows\Microsoft.NET\Framework64\v4.xxx

(Where xxx represents the version of .NET 4 you are using)

aspnet_regiis -i

This will register ASP.NET in the .Net 4 Framework with IIS and allow the install of APP-V to proceed.

VN:F [1.9.22_1171]
Rating: 5.5/10 (2 votes cast)
ASP.NET in .NET 4.0 Framework Is Not Registered With IIS - App-V, 5.5 out of 10 based on 2 ratings

Leave a comment

Your email address will not be published. Required fields are marked *